Skip to content
Browse files

Let VoiceDialer.apk depend on libsrec_jni and srec data files.

Bug: 6294985
Change-Id: Id361e65e535c7d4b5f373fc3a15144b8de56483a
  • Loading branch information...
1 parent 8f4d4e3 commit 3e0d206155efe1ecb1b5da9c7ed4a068ba07c8d9 Ying Wang committed Jun 14, 2012
Showing with 7 additions and 0 deletions.
  1. +7 −0 Android.mk
View
7 Android.mk
@@ -7,8 +7,15 @@ LOCAL_SRC_FILES := $(call all-java-files-under, src) \
LOCAL_PACKAGE_NAME := VoiceDialer
+LOCAL_REQUIRED_MODULES := libsrec_jni
include $(BUILD_PACKAGE)
+# Install the srec data files if VoiceDialer.apk is installed to system image.
+include external/srec/config/en.us/config.mk
+$(LOCAL_INSTALLED_MODULE) : | $(SREC_CONFIG_TARGET_FILES)
+# SREC_CONFIG_TARGET_FILES is from external/srec/config/en.us/config.mk and now can be cleaned up.
+SREC_CONFIG_TARGET_FILES :=
+
# Use the following include to make our test apk.
include $(call all-makefiles-under,$(LOCAL_PATH))

0 comments on commit 3e0d206

Please sign in to comment.
Something went wrong with that request. Please try again.